Bug #19841

Backend not usable in Internet Explorer anymore

Added by Oliver Hader over 10 years ago. Updated almost 9 years ago.

Status:
Closed
Priority:
Should have
Assignee:
Category:
-
Target version:
-
Start date:
2009-01-16
Due date:
% Done:

0%

TYPO3 Version:
4.3
PHP Version:
5.2
Tags:
Complexity:
Is Regression:
Sprint Focus:

Description

In Internet Explorer 7 the TYPO3 Backend is not usable anymore due to JavaScript errors. Clicking a module in the left navigation has no result.

This behaviour was introduced in Trunk rev. 4645 for issue #19152

(issue imported from #M10167)

0010167.diff View (1.34 KB) Administrator Admin, 2009-01-17 00:36


Related issues

Related to TYPO3 Core - Feature #19152: Remove JS popup when login expired Closed 2008-07-25

History

#1 Updated by Franz Koch over 10 years ago

IE6 is also affected. I just switched the file backend.php back to rev4644 and IE is up and working again. So the bug is somewhere in the changes in backend.php.

#2 Updated by Christoph Koehler over 10 years ago

Uploaded a patch that fixes it for me in IE7 at least. Please test.

#3 Updated by Steffen Kamper over 10 years ago

committed patch to trunk.

I let the BT entry open until one left error is fixed as it's not clear if it's related, error message is: "Object required" on line 3777

#4 Updated by Franz Koch over 10 years ago

in my case it says on line '3789' character 7 (IE6 with current trunk - so with applied patch of this BT entry).

And the "user admin" and "log" modules are broken in IE6. The content is visible for about 0.5 seconds and then it disappears (maybe a CSS issues or related to the JS resizing). Those two mentioned modules also have a little bit different layout then others - meaning that there is a 4px offset around the whole frame - it's maybe related to the cause of that.

#5 Updated by Steffen Kamper over 10 years ago

I checked with 4_2 and it doesn't occur there, so we can concentrate on changes in trunk. (also the module errors)

#6 Updated by Daniel Felix over 10 years ago

Works for me now. A extension which xclassed the backend has broken the last revisions for me. But this is fixed now.

#7 Updated by Steffen Kamper over 10 years ago

error message is: "Object required" on line 3777

This error happens in sizemanager (typo3/js/sizemanager.js)

When i comment it out, error is gone. But i don 't see the reason for the error

Also available in: Atom PDF